<template>
  <v-container
    :fluid="$vuetify.breakpoint.smAndUp"
    class="pb-0 pr-0 pl-0 slideup-everywher"
  >
    <footer class="pt-12 footer-bg footer-styles">
      <!-- Wave dark-->
      <div class="pb-10">
        <div class="text-center ready-to-work pr-4 pl-4">
          <h6 v-scrollAnime class="mb-6 mt-3">
            {{ $t('footer.footerMessage3') }}
          </h6>
          <h3 v-scrollAnime class="mb-7">
            {{ $t('footer.footerMessage2') }}
          </h3>
          <v-btn v-scrollAnime color="warning" :to="localePath('/contact')">
            {{ $t('callUs') }}
          </v-btn>
        </div>
        <div class="footer-panel pt-8">
          <v-row v-scrollAnime class="ma-0 pa-4">
            <v-col cols="12" sm="6" md="3" class="pa-8 firs-col">
              <nuxt-link :to="localePath('/')">
                <AsLogo />
              </nuxt-link>
              <h3 class="white--text pt-3 pb-2">
                {{ $t('legalName') }}
              </h3>
              <CompanyInfo />
              <CompanySocial />
            </v-col>
            <v-col cols="12" sm="6" md="3" class="pa-8 second-col">
              <FooterLink :data="footerlinks1" />
            </v-col>
            <v-col cols="12" sm="6" md="3" class="pa-8">
              <FooterLink :data="footerlinks2" />
            </v-col>
            <v-col cols="12" sm="6" md="3" class="pa-8">
              <FooterAddress />
            </v-col>
          </v-row>
        </div>
      </div>
    </footer>
    <v-row class="ma-0 blue darken-3" align="center" justify="center">
      <v-col cols="12" class="d-flex justify-center">
        <span class="text-center white--text">
          {{ $t('head.title') }}
        </span>
      </v-col>
    </v-row>
  </v-container>
</template>
<script>
export default {
  name: 'MainFooter',
  computed: {
    footerlinks1() {
      return {
        header: this.$i18n.t('helpLinks'),
        helperItem: [
          {
            title: this.$i18n.t('ourworks'),
            icon: 'mdi-circle-medium',
            url: '/ourworks',
          },
          {
            title: this.$i18n.t('menu.products.cms'),
            icon: 'mdi-circle-medium',
            url: '/product/cms',
          },
          {
            title: this.$i18n.t('menu.products.waf'),
            icon: 'mdi-circle-medium',
            url: '/product/htm',
          },

          // {
          //   title: this.$i18n.t('menu.docs.help'),
          //   icon: 'mdi-circle-medium',
          //   url: '/',
          // },
          // {
          //   title: this.$i18n.t('menu.docs.faq'),
          //   icon: 'mdi-circle-medium',
          //   url: '/',
          // },

          // {
          //   title: this.$i18n.t('footer.links.termsOfService'),
          //   icon: 'mdi-circle-medium',
          //   url: '/',
          // },
          // {
          //   title: this.$i18n.t('footer.links.privacyPolicy'),
          //   icon: 'mdi-circle-medium',
          //   url: '/',
          // },
        ],
      };
    },
    footerlinks2() {
      return {
        header: this.$i18n.t('importanLinks'),
        helperItem: [
          {
            title: this.$i18n.t('aboutUs'),
            icon: 'mdi-circle-medium',
            url: '/about',
          },
          {
            title: this.$i18n.t('callUs'),
            icon: 'mdi-circle-medium',
            url: '/contact',
          },
          {
            title: this.$i18n.t('footer.links.aasaamFamily'),
            icon: 'mdi-circle-medium',
            url: '/about#our-teams',
          },
          {
            title: this.$i18n.t('footer.links.jobs'),
            icon: 'mdi-circle-medium',
            url: '/jobs',
          },
        ],
      };
    },
  },
};
</script>
